return Def.ActorFrame{
	CodeMessageCommand=
		function(self, param)
			if param.Name == "left" then
				if _G.DebugGrade > 0 then
					if _G.DebugGrade == 20 then
						_G.DebugGrade = 6;
					else
						_G.DebugGrade = _G.DebugGrade - 1;
					end;
				end;
			elseif param.Name == "right" then
				if _G.DebugGrade < 7 then
					--20 is failed
					if _G.DebugGrade == 6 then
						_G.DebugGrade = 20;
					else
						_G.DebugGrade = _G.DebugGrade + 1;
					end;
				end;
			elseif param.Name == "up" then
				_G.DebugGoToExtra = not _G.DebugGoToExtra;
			end;
			SCREENMAN:SystemMessage(tostring(_G.DebugGrade).." - "..getGradeLetter(_G.DebugGrade).." - Extra Stage is "..tostring(_G.DebugGoToExtra));
		end
};
